Site news

General news and announcements

DiscussionStarted byRepliesLast post
ICAs Holiday Schedule 0 Dahjai Rogers
Tue, Nov 26, 2019, 9:16 AM
New ICA Learn Site Administrator Information 0 ICA Learn
Tue, Feb 5, 2019, 3:50 PM
ICA Closed Today, Jan. 14 0 Betsy Lindeman Wong
Mon, Jan 14, 2019, 7:47 AM
Train to Teach Online for ICA with Zoom! 0 Betsy Lindeman Wong
Wed, Jan 9, 2019, 5:35 PM
ICA Closed Jan. 21 for Martin Luther King Holiday 0 Betsy Lindeman Wong
Wed, Jan 9, 2019, 5:29 PM
Moodle Site Upgrade on Tuesday at 5 pm 0 Betsy Lindeman Wong
Fri, Dec 14, 2018, 8:53 AM
Moodle Upgrade Workshop 0 Betsy Lindeman Wong
Mon, Dec 10, 2018, 3:49 PM
Moodle Site Upgrade on Dec. 18, 5 pm 0 Betsy Lindeman Wong
Tue, Nov 27, 2018, 4:25 PM
Moodle Will No Longer Support BigBlueButton (BBB) 0 Betsy Lindeman Wong
Thu, Nov 8, 2018, 12:20 PM
Moodle Upgrade 0 Betsy Lindeman Wong
Tue, Nov 6, 2018, 5:16 PM
ICA Closed on Veterans' Day (Nov. 12) 0 Betsy Lindeman Wong
Tue, Oct 30, 2018, 8:18 AM
Free Moodle 3.5 course -- Nov. 6 thru Dec. 4 1 Betsy Lindeman Wong
Tue, Oct 2, 2018, 1:14 PM
ICA's Moodle Restored to Previous Layout 0 Betsy Lindeman Wong
Fri, Sep 28, 2018, 10:46 AM
Instructions to Access Deltek 0 Betsy Lindeman Wong
Fri, Sep 28, 2018, 8:53 AM
Host Company Upgraded Wrong Site - Former Moodle Site Will Be Restored ASAP 0 Betsy Lindeman Wong
Fri, Sep 28, 2018, 8:27 AM
ICA Closed for Labor Day on Monday, October 8 0 Betsy Lindeman Wong
Wed, Sep 26, 2018, 8:12 AM
ICA Closed for Labor Day on Monday, September 3 0 Betsy Lindeman Wong
Tue, Aug 28, 2018, 9:47 AM
Moodle site under brief maintenance at 5 pm tonight 0 Betsy Lindeman Wong
Thu, Jul 26, 2018, 3:17 PM
Closed for Independence Day 0 Greg Rudl
Wed, Jun 27, 2018, 9:57 AM
ICA closures for Memorial Day 0 Greg Rudl
Tue, May 15, 2018, 2:33 PM
Mooldle version 3.3 webinar Nov. 7 0 Greg Rudl
Wed, Oct 25, 2017, 3:19 PM
Upgrade to Version 3.3 on Saturday 1 Greg Rudl
Thu, Sep 7, 2017, 4:57 PM
New training management system 0 Greg Rudl
Fri, Sep 1, 2017, 8:20 AM